body {
    font-size: 11pt;
    margin-left : 2%;
    margin-right : 2%;
}

h1 {
    display: block;
    font-size: 1.5em;
    font-weight: bold;
    color: red;
    margin : 5px;
}

h2 {
    display: block;
    font-size: 1.3em;
    font-weight: bold;
    margin: .4em 0;
}

h3 {
    display: block;
    font-size: 1.1em;
    font-weight: bold;
    margin: 0.5em 0;
}

table.center td,th {
    text-align: center;
}

table {
    font-size : 100%;
    border-collapse: collapse;
    margin-top : 4px;
}

table  td,th {
    border: thin solid black;
    padding: 3px 5px;
}

table.termlist {
    margin-left: 10%;
    width : 80%;
    border: none;
}

table.termlist td,th {
    text-align: center;
}

ul {
    margin: 0.4em 0;
    -moz-padding-start: 10px;
}

ul.code li {
    font-family: monospace;
}

p.code {
    font-family: monospace;
}

dl.code dt {
    font-family: monospace;
}

*.center {
    text-align: center;
}

*.tt {
    font-family: monospace;
}

*.floatRight50 {
    float: right;
    width : 50%;
}

div.applet {
    border : thick blue solid;
    background : white;
    padding : 5px;
    margin-left: auto;
    margin-right: auto;
}

code.java {
    background: #F0F0D0;
    border: #F0F0D0 thin outset;
}

blockquote+p {
    margin: 0.2em 0em;
}

p+blockquote {
    margin: 0.2em 2em;
}

blockquote.code {
    font-family: monospace;
}
/*----------------- start text-------------------------*/
div.text-header {
    text-align : right;
    margin-right: 5%;
}
div.text pre {
    margin : 4px;
    font: monospace 11pt;
}

div.text span:hover {
    -moz-outline : 1px black solid;
}
div.text {
    border : 3px solid rgb(50,250,50);
    margin : 0.5em 2.5% 0.5em 1%;
    /* overflow : auto; */
}
/*----------------- end text -------------------------*/

/* design patterns */
div.design-pattern h1 {
    font-size : 1em;
    color: blue;
    margin-bottom : 0px;
    border : none;
}

div.design-pattern h1,p {
    margin-top : 4px;
}

div.design-pattern p {
    margin-left : 2em;
}
/* slide  */
div.slide {
    border-top : thick black solid;
    clear: both;
}

/* array */
table.array {
    display : inline-block;
    display: -moz-inline-box;
    border-collapse: collapse;
    margin: 5px;
    font-size : 100%;
}

table.array th {
    border : none;
}

table.array td {
    border : thick solid black;
    height : 1.2em;
    text-align: center;
}

span.request {
    color : red;
}

span.reply {
    color : blue;
}


/* math */
span.mathml-row {
    font-size : 1.1em;
    }

span.mathml-mfenced {
}

span.mathml-mo {
}

span.mathml-mn {
    font-family : monospace;
}

span.mathml-mi {
    font-style : italic;
}
